GDAL libgdal1.6.0.so.1 error (REPOST)

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

GDAL libgdal1.6.0.so.1 error (REPOST)

stimon
I am reposting my question because the first time I forgot to suscribe and the message was not sent to the mailing list. Sorry for the inconvenience.

Hello everyone,

I am trying to use GRASS backend with 52norh WPS server, so I have followed this instructions (http://52north.org/communities/geoprocessing/wps/tutorials/WPSGRASSLinux.html) to install GRASS 7 in ubuntu 12.10.

After fixing some python issues by setting PYTHON_HOME to /usr and then a symlink to /usr/bin/python, it seemed I got it to work.

But now, when I try to launch r.los (via WPS) I get a GDAL related error. From the log:

<ERROR timestamp="11:50:28">
GDLA error while import. Unable to create input location from input /home/administrador/grass/temp/ccb06c6f-74ba-4c6d-9d14-16b62b9b9067.tif GDAL log: /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal: error while loading shared libraries: libgdal1.6.0.so.1: cannot open shared object file: No such file or directory

</ERROR>

I have installed GDAL 1.9.2 in ~/gdal192. the LD_LIBRARY_PATH is set:
administrador@torrevision:~/gdal192$ echo $LD_LIBRARY_PATH
/home/administrador/gdal192

Added the path to ldconf:
administrador@torrevision:~/gdal192$ sudo ldconfig -v | grep gdal
[sudo] password for administrador:
/home/administrador/gdal192:
        libgdalconstjni.so.1 -> libgdalconstjni.so
        libgdal.so.1 -> libgdal1.6.0.so.1
        libgdaljni.so.1 -> libgdaljni.so
        libgdal.so.1 -> libgdal.so.1.16.0

Maybe the problem is "libgdal.so.1 -> libgdal1.6.0.so.1" because the second one it's not present while the first it is, So I also tried to set another symlink from libgdal1.6.0.so.1:

dministrador@torrevision:~/gdal192$ ls -l
total 60300
drwx------ 2 administrador administrador     4096 abr 12 10:36 altitud
-rwxr-xr-x 1 administrador administrador    54931 dic 10 16:36 gdalinfo
drwxrwxrwx 2 administrador administrador     4096 abr  3 18:32 javainfo
lrwxrwxrwx 1 root          root                12 abr 19 11:50 libgdal1.6.0.so.1 -> libgdal.so.1
-rwxr-xr-x 1 administrador administrador   112705 nov 22 18:10 libgdalconstjni.so
lrwxrwxrwx 1 root          root                18 abr 19 11:30 libgdalconstjni.so.1 -> libgdalconstjni.so
-rwxr-xr-x 1 administrador administrador  1312184 nov 22 18:10 libgdaljni.so
lrwxrwxrwx 1 root          root                13 abr 19 11:30 libgdaljni.so.1 -> libgdaljni.so
lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32 libgdal.so -> libgdal.so.1.16.2
lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32 libgdal.so.1 -> libgdal.so.1.16.2
-rwxr-xr-x 1 administrador administrador 44048076 nov 22 18:07 libgdal.so.1.16.2
-rwxr-xr-x 1 administrador administrador  5078163 nov 26 13:29 libltidsdk.so
lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSCnet.so -> libNCSCnet.so.0.0.0
lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSCnet.so.0 -> libNCSCnet.so.0.0.0
-rwxr-xr-x 1 administrador administrador   590457 nov 22 14:34 libNCSCnet.so.0.0.0
lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSEcwC.so -> libNCSEcwC.so.0.0.0
lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSEcwC.so.0 -> libNCSEcwC.so.0.0.0
-rwxr-xr-x 1 administrador administrador    81508 nov 22 14:34 libNCSEcwC.so.0.0.0
lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32 libNCSEcw.so -> libNCSEcw.so.0.0.0
lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32 libNCSEcw.so.0 -> libNCSEcw.so.0.0.0
-rwxr-xr-x 1 administrador administrador  8644546 nov 22 14:34 libNCSEcw.so.0.0.0
lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSUtil.so -> libNCSUtil.so.0.0.0
lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSUtil.so.0 -> libNCSUtil.so.0.0.0
-rwxr-xr-x 1 administrador administrador   713782 nov 22 14:34 libNCSUtil.so.0.0.0
-rwxr-xr-x 1 administrador administrador   608641 nov 22 18:10 libogrjni.so
lrwxrwxrwx 1 root          root                12 abr 19 11:30 libogrjni.so.1 -> libogrjni.so
-rwxr-xr-x 1 administrador administrador   472066 nov 22 18:10 libosrjni.so
lrwxrwxrwx 1 root          root                12 abr 19 11:30 libosrjni.so.1 -> libosrjni.so

I don't know if I am making a mess, but I don't know what else I can do. I have been about 3 hours searching and reading about this lib problem without sorting it out.

I have to say GDAL works fine, I installed it to work with AIG rasters in Geoserver before trying GRASS. However with GRASS I get this error.

Thank very much for your help.
Santi
Reply | Threaded
Open this post in threaded view
|

Re: GDAL libgdal1.6.0.so.1 error (REPOST)

Markus Metz-3
On Sun, Apr 21, 2013 at 12:42 PM, stimon <[hidden email]> wrote:

>
> ... when I try to launch r.los (via WPS) I get a GDAL related error.
> From the log:
>
> <ERROR timestamp="11:50:28">
> GDLA error while import. Unable to create input location from input
> /home/administrador/grass/temp/ccb06c6f-74ba-4c6d-9d14-16b62b9b9067.tif GDAL
> log:
> /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal:
> error while loading shared libraries: libgdal1.6.0.so.1: cannot open shared
> object file: No such file or directory
>
> </ERROR>
>
> I have installed GDAL 1.9.2 in ~/gdal192. the LD_LIBRARY_PATH is set:
> administrador@torrevision:~/gdal192$ echo $LD_LIBRARY_PATH
> /home/administrador/gdal192
>
>         libgdal.so.1 -> libgdal1.6.0.so.1
>         libgdal.so.1 -> libgdal.so.1.16.0

There are two links called libgdal.so.1, For gdal 1.9.2 you would need
libgdal.so.1 -> libgdal.so.1.16.2, but you have libgdal.so.1 ->
libgdal.so.1.16.0 which refers to gdal 1.9.0. The first link,
libgdal.so.1 -> libgdal1.6.0.so.1 comes most probably from an older
gdal version that was probably installed system-wide and then only
partially removed. Quite a mess it seems. You could either completely
remove all traces of the old gdal installation or hack Platform.make
to force link to the installation in /home/administrador/gdal192 by
adjusting the gdal link flags.

>
> Maybe the problem is "libgdal.so.1 -> libgdal1.6.0.so.1" because the second
> one it's not present while the first it is, So I also tried to set another
> symlink from libgdal1.6.0.so.1:
>
> libgdal1.6.0.so.1 -> libgdal.so.1

But now you have
libgdal1.6.0.so.1 -> libgdal.so.1
and
libgdal.so.1 -> libgdal1.6.0.so.1

a circularity.

> -rwxr-xr-x 1 administrador administrador   112705 nov 22 18:10
> libgdalconstjni.so
> lrwxrwxrwx 1 root          root                18 abr 19 11:30
> libgdalconstjni.so.1 -> libgdalconstjni.so
> -rwxr-xr-x 1 administrador administrador  1312184 nov 22 18:10 libgdaljni.so
> lrwxrwxrwx 1 root          root                13 abr 19 11:30
> libgdaljni.so.1 -> libgdaljni.so
> lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32 libgdal.so ->
> libgdal.so.1.16.2
> lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32 libgdal.so.1
> -> libgdal.so.1.16.2
> -rwxr-xr-x 1 administrador administrador 44048076 nov 22 18:07
> libgdal.so.1.16.2
> -rwxr-xr-x 1 administrador administrador  5078163 nov 26 13:29 libltidsdk.so
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSCnet.so
> -> libNCSCnet.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
> libNCSCnet.so.0 -> libNCSCnet.so.0.0.0
> -rwxr-xr-x 1 administrador administrador   590457 nov 22 14:34
> libNCSCnet.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSEcwC.so
> -> libNCSEcwC.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
> libNCSEcwC.so.0 -> libNCSEcwC.so.0.0.0
> -rwxr-xr-x 1 administrador administrador    81508 nov 22 14:34
> libNCSEcwC.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32 libNCSEcw.so
> -> libNCSEcw.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32
> libNCSEcw.so.0 -> libNCSEcw.so.0.0.0
> -rwxr-xr-x 1 administrador administrador  8644546 nov 22 14:34
> libNCSEcw.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSUtil.so
> -> libNCSUtil.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
> libNCSUtil.so.0 -> libNCSUtil.so.0.0.0
> -rwxr-xr-x 1 administrador administrador   713782 nov 22 14:34
> libNCSUtil.so.0.0.0
> -rwxr-xr-x 1 administrador administrador   608641 nov 22 18:10 libogrjni.so
> lrwxrwxrwx 1 root          root                12 abr 19 11:30
> libogrjni.so.1 -> libogrjni.so
> -rwxr-xr-x 1 administrador administrador   472066 nov 22 18:10 libosrjni.so
> lrwxrwxrwx 1 root          root                12 abr 19 11:30
> libosrjni.so.1 -> libosrjni.so
>
> I don't know if I am making a mess, but I don't know what else I can do. I
> have been about 3 hours searching and reading about this lib problem without
> sorting it out.
>
> I have to say GDAL works fine, I installed it to work with AIG rasters in
> Geoserver before trying GRASS. However with GRASS I get this error.
>
> Thank very much for your help.
> Santi
>
>
>
> --
> View this message in context: http://osgeo-org.1560.x6.nabble.com/GDAL-libgdal1-6-0-so-1-error-REPOST-tp5048562.html
> Sent from the Grass - Users mailing list archive at Nabble.com.
> _______________________________________________
> grass-user mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/grass-user
_______________________________________________
grass-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: GDAL libgdal1.6.0.so.1 error (REPOST)

stimon
Hi Markus, 

I have removed the default ubuntu gdal installation using synaptic.

administrador@torrevision:~$ sudo ldconfig -v | grep gdal
/home/administrador/gdal192:
libgdalconstjni.so.1 -> libgdalconstjni.so
libgdal.so.1 -> libgdal.so.1.16.2
libgdaljni.so.1 -> libgdaljni.so

The symlinks in gdal folder:
administrador@torrevision:~/gdal192$ ls -lah | grep ^l
lrwxrwxrwx  1 root          root            18 abr 19 11:30 libgdalconstjni.so.1 -> libgdalconstjni.so
lrwxrwxrwx  1 root          root            13 abr 19 11:30 libgdaljni.so.1 -> libgdaljni.so
lrwxrwxrwx  1 administrador administrador   17 abr  3 18:32 libgdal.so -> libgdal.so.1.16.2
lrwxrwxrwx  1 administrador administrador   17 abr  3 18:32 libgdal.so.1 -> libgdal.so.1.16.2
lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSCnet.so -> libNCSCnet.so.0.0.0
lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSCnet.so.0 -> libNCSCnet.so.0.0.0
lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSEcwC.so -> libNCSEcwC.so.0.0.0
lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSEcwC.so.0 -> libNCSEcwC.so.0.0.0
lrwxrwxrwx  1 administrador administrador   18 abr  3 18:32 libNCSEcw.so -> libNCSEcw.so.0.0.0
lrwxrwxrwx  1 administrador administrador   18 abr  3 18:32 libNCSEcw.so.0 -> libNCSEcw.so.0.0.0
lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSUtil.so -> libNCSUtil.so.0.0.0
lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSUtil.so.0 -> libNCSUtil.so.0.0.0
lrwxrwxrwx  1 root          root            12 abr 19 11:30 libogrjni.so.1 -> libogrjni.so
lrwxrwxrwx  1 root          root            12 abr 19 11:30 libosrjni.so.1 -> libosrjni.so

But GRASS still looks for libgdal1.6.0.so.1

</INFO>

<ERROR timestamp="10:56:35">
GDLA error while import. Unable to create input location from input /home/administrador/grass/temp/45ccd92d-daf2-4d80-abc3-a3e14bbc3f4f.tif GDAL log: /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal: error while loading shared libraries: libgdal1.6.0.so.1: cannot open shared object file: No such file or directory

</ERROR>
Thank you so much for your help,
Santi




2013/4/22 Markus Metz <[hidden email]>
On Sun, Apr 21, 2013 at 12:42 PM, stimon <[hidden email]> wrote:
>
> ... when I try to launch r.los (via WPS) I get a GDAL related error.
> From the log:
>
> <ERROR timestamp="11:50:28">
> GDLA error while import. Unable to create input location from input
> /home/administrador/grass/temp/ccb06c6f-74ba-4c6d-9d14-16b62b9b9067.tif GDAL
> log:
> /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal:
> error while loading shared libraries: libgdal1.6.0.so.1: cannot open shared
> object file: No such file or directory
>
> </ERROR>
>
> I have installed GDAL 1.9.2 in ~/gdal192. the LD_LIBRARY_PATH is set:
> administrador@torrevision:~/gdal192$ echo $LD_LIBRARY_PATH
> /home/administrador/gdal192
>
>         libgdal.so.1 -> libgdal1.6.0.so.1
>         libgdal.so.1 -> libgdal.so.1.16.0

There are two links called libgdal.so.1, For gdal 1.9.2 you would need
libgdal.so.1 -> libgdal.so.1.16.2, but you have libgdal.so.1 ->
libgdal.so.1.16.0 which refers to gdal 1.9.0. The first link,
libgdal.so.1 -> libgdal1.6.0.so.1 comes most probably from an older
gdal version that was probably installed system-wide and then only
partially removed. Quite a mess it seems. You could either completely
remove all traces of the old gdal installation or hack Platform.make
to force link to the installation in /home/administrador/gdal192 by
adjusting the gdal link flags.

>
> Maybe the problem is "libgdal.so.1 -> libgdal1.6.0.so.1" because the second
> one it's not present while the first it is, So I also tried to set another
> symlink from libgdal1.6.0.so.1:
>
> libgdal1.6.0.so.1 -> libgdal.so.1

But now you have
libgdal1.6.0.so.1 -> libgdal.so.1
and
libgdal.so.1 -> libgdal1.6.0.so.1

a circularity.

> -rwxr-xr-x 1 administrador administrador   112705 nov 22 18:10
> libgdalconstjni.so
> lrwxrwxrwx 1 root          root                18 abr 19 11:30
> libgdalconstjni.so.1 -> libgdalconstjni.so
> -rwxr-xr-x 1 administrador administrador  1312184 nov 22 18:10 libgdaljni.so
> lrwxrwxrwx 1 root          root                13 abr 19 11:30
> libgdaljni.so.1 -> libgdaljni.so
> lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32 libgdal.so ->
> libgdal.so.1.16.2
> lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32 libgdal.so.1
> -> libgdal.so.1.16.2
> -rwxr-xr-x 1 administrador administrador 44048076 nov 22 18:07
> libgdal.so.1.16.2
> -rwxr-xr-x 1 administrador administrador  5078163 nov 26 13:29 libltidsdk.so
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSCnet.so
> -> libNCSCnet.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
> libNCSCnet.so.0 -> libNCSCnet.so.0.0.0
> -rwxr-xr-x 1 administrador administrador   590457 nov 22 14:34
> libNCSCnet.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSEcwC.so
> -> libNCSEcwC.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
> libNCSEcwC.so.0 -> libNCSEcwC.so.0.0.0
> -rwxr-xr-x 1 administrador administrador    81508 nov 22 14:34
> libNCSEcwC.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32 libNCSEcw.so
> -> libNCSEcw.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32
> libNCSEcw.so.0 -> libNCSEcw.so.0.0.0
> -rwxr-xr-x 1 administrador administrador  8644546 nov 22 14:34
> libNCSEcw.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32 libNCSUtil.so
> -> libNCSUtil.so.0.0.0
> lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
> libNCSUtil.so.0 -> libNCSUtil.so.0.0.0
> -rwxr-xr-x 1 administrador administrador   713782 nov 22 14:34
> libNCSUtil.so.0.0.0
> -rwxr-xr-x 1 administrador administrador   608641 nov 22 18:10 libogrjni.so
> lrwxrwxrwx 1 root          root                12 abr 19 11:30
> libogrjni.so.1 -> libogrjni.so
> -rwxr-xr-x 1 administrador administrador   472066 nov 22 18:10 libosrjni.so
> lrwxrwxrwx 1 root          root                12 abr 19 11:30
> libosrjni.so.1 -> libosrjni.so
>
> I don't know if I am making a mess, but I don't know what else I can do. I
> have been about 3 hours searching and reading about this lib problem without
> sorting it out.
>
> I have to say GDAL works fine, I installed it to work with AIG rasters in
> Geoserver before trying GRASS. However with GRASS I get this error.
>
> Thank very much for your help.
> Santi
>
>
>
> --
> View this message in context: http://osgeo-org.1560.x6.nabble.com/GDAL-libgdal1-6-0-so-1-error-REPOST-tp5048562.html
> Sent from the Grass - Users mailing list archive at Nabble.com.
> _______________________________________________
> grass-user mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/grass-user


_______________________________________________
grass-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: GDAL libgdal1.6.0.so.1 error (REPOST)

Markus Metz-3
On Mon, Apr 22, 2013 at 10:59 AM, Santiago Timón <[hidden email]> wrote:

> Hi Markus,
>
> I have removed the default ubuntu gdal installation using synaptic.
>
> administrador@torrevision:~$ sudo ldconfig -v | grep gdal
> /home/administrador/gdal192:
> libgdalconstjni.so.1 -> libgdalconstjni.so
> libgdal.so.1 -> libgdal.so.1.16.2
> libgdaljni.so.1 -> libgdaljni.so
>
> The symlinks in gdal folder:
> administrador@torrevision:~/gdal192$ ls -lah | grep ^l
> lrwxrwxrwx  1 root          root            18 abr 19 11:30
> libgdalconstjni.so.1 -> libgdalconstjni.so
> lrwxrwxrwx  1 root          root            13 abr 19 11:30 libgdaljni.so.1
> -> libgdaljni.so
> lrwxrwxrwx  1 administrador administrador   17 abr  3 18:32 libgdal.so ->
> libgdal.so.1.16.2
> lrwxrwxrwx  1 administrador administrador   17 abr  3 18:32 libgdal.so.1 ->
> libgdal.so.1.16.2
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSCnet.so ->
> libNCSCnet.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSCnet.so.0
> -> libNCSCnet.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSEcwC.so ->
> libNCSEcwC.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSEcwC.so.0
> -> libNCSEcwC.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   18 abr  3 18:32 libNCSEcw.so ->
> libNCSEcw.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   18 abr  3 18:32 libNCSEcw.so.0
> -> libNCSEcw.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSUtil.so ->
> libNCSUtil.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSUtil.so.0
> -> libNCSUtil.so.0.0.0
> lrwxrwxrwx  1 root          root            12 abr 19 11:30 libogrjni.so.1
> -> libogrjni.so
> lrwxrwxrwx  1 root          root            12 abr 19 11:30 libosrjni.so.1
> -> libosrjni.so

That looks good
>
> But GRASS still looks for libgdal1.6.0.so.1

Did you
make distclean
configure <custom configure options>
make

for GRASS after removing the default ubuntu gdal installation?

Markus M

>
> </INFO>
>
> <ERROR timestamp="10:56:35">
> GDLA error while import. Unable to create input location from input
> /home/administrador/grass/temp/45ccd92d-daf2-4d80-abc3-a3e14bbc3f4f.tif GDAL
> log:
> /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal:
> error while loading shared libraries: libgdal1.6.0.so.1: cannot open shared
> object file: No such file or directory
>
> </ERROR>
>
> Thank you so much for your help,
> Santi
>
>
>
>
> 2013/4/22 Markus Metz <[hidden email]>
>>
>> On Sun, Apr 21, 2013 at 12:42 PM, stimon <[hidden email]> wrote:
>> >
>> > ... when I try to launch r.los (via WPS) I get a GDAL related error.
>> > From the log:
>> >
>> > <ERROR timestamp="11:50:28">
>> > GDLA error while import. Unable to create input location from input
>> > /home/administrador/grass/temp/ccb06c6f-74ba-4c6d-9d14-16b62b9b9067.tif
>> > GDAL
>> > log:
>> >
>> > /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal:
>> > error while loading shared libraries: libgdal1.6.0.so.1: cannot open
>> > shared
>> > object file: No such file or directory
>> >
>> > </ERROR>
>> >
>> > I have installed GDAL 1.9.2 in ~/gdal192. the LD_LIBRARY_PATH is set:
>> > administrador@torrevision:~/gdal192$ echo $LD_LIBRARY_PATH
>> > /home/administrador/gdal192
>> >
>> >         libgdal.so.1 -> libgdal1.6.0.so.1
>> >         libgdal.so.1 -> libgdal.so.1.16.0
>>
>> There are two links called libgdal.so.1, For gdal 1.9.2 you would need
>> libgdal.so.1 -> libgdal.so.1.16.2, but you have libgdal.so.1 ->
>> libgdal.so.1.16.0 which refers to gdal 1.9.0. The first link,
>> libgdal.so.1 -> libgdal1.6.0.so.1 comes most probably from an older
>> gdal version that was probably installed system-wide and then only
>> partially removed. Quite a mess it seems. You could either completely
>> remove all traces of the old gdal installation or hack Platform.make
>> to force link to the installation in /home/administrador/gdal192 by
>> adjusting the gdal link flags.
>>
>> >
>> > Maybe the problem is "libgdal.so.1 -> libgdal1.6.0.so.1" because the
>> > second
>> > one it's not present while the first it is, So I also tried to set
>> > another
>> > symlink from libgdal1.6.0.so.1:
>> >
>> > libgdal1.6.0.so.1 -> libgdal.so.1
>>
>> But now you have
>> libgdal1.6.0.so.1 -> libgdal.so.1
>> and
>> libgdal.so.1 -> libgdal1.6.0.so.1
>>
>> a circularity.
>>
>> > -rwxr-xr-x 1 administrador administrador   112705 nov 22 18:10
>> > libgdalconstjni.so
>> > lrwxrwxrwx 1 root          root                18 abr 19 11:30
>> > libgdalconstjni.so.1 -> libgdalconstjni.so
>> > -rwxr-xr-x 1 administrador administrador  1312184 nov 22 18:10
>> > libgdaljni.so
>> > lrwxrwxrwx 1 root          root                13 abr 19 11:30
>> > libgdaljni.so.1 -> libgdaljni.so
>> > lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32
>> > libgdal.so ->
>> > libgdal.so.1.16.2
>> > lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32
>> > libgdal.so.1
>> > -> libgdal.so.1.16.2
>> > -rwxr-xr-x 1 administrador administrador 44048076 nov 22 18:07
>> > libgdal.so.1.16.2
>> > -rwxr-xr-x 1 administrador administrador  5078163 nov 26 13:29
>> > libltidsdk.so
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSCnet.so
>> > -> libNCSCnet.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSCnet.so.0 -> libNCSCnet.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador   590457 nov 22 14:34
>> > libNCSCnet.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSEcwC.so
>> > -> libNCSEcwC.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSEcwC.so.0 -> libNCSEcwC.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador    81508 nov 22 14:34
>> > libNCSEcwC.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32
>> > libNCSEcw.so
>> > -> libNCSEcw.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32
>> > libNCSEcw.so.0 -> libNCSEcw.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador  8644546 nov 22 14:34
>> > libNCSEcw.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSUtil.so
>> > -> libNCSUtil.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSUtil.so.0 -> libNCSUtil.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador   713782 nov 22 14:34
>> > libNCSUtil.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador   608641 nov 22 18:10
>> > libogrjni.so
>> > lrwxrwxrwx 1 root          root                12 abr 19 11:30
>> > libogrjni.so.1 -> libogrjni.so
>> > -rwxr-xr-x 1 administrador administrador   472066 nov 22 18:10
>> > libosrjni.so
>> > lrwxrwxrwx 1 root          root                12 abr 19 11:30
>> > libosrjni.so.1 -> libosrjni.so
>> >
>> > I don't know if I am making a mess, but I don't know what else I can do.
>> > I
>> > have been about 3 hours searching and reading about this lib problem
>> > without
>> > sorting it out.
>> >
>> > I have to say GDAL works fine, I installed it to work with AIG rasters
>> > in
>> > Geoserver before trying GRASS. However with GRASS I get this error.
>> >
>> > Thank very much for your help.
>> > Santi
>> >
>> >
>> >
>> > --
>> > View this message in context:
>> > http://osgeo-org.1560.x6.nabble.com/GDAL-libgdal1-6-0-so-1-error-REPOST-tp5048562.html
>> > Sent from the Grass - Users mailing list archive at Nabble.com.
>> > _______________________________________________
>> > grass-user mailing list
>> > [hidden email]
>> > http://lists.osgeo.org/mailman/listinfo/grass-user
>
>
_______________________________________________
grass-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: GDAL libgdal1.6.0.so.1 error (REPOST)

stimon
I downloaded the binaries from http://grass.fbk.eu/grass70/binary/linux/snapshot/ instead of compiling. 
Should I try building from code?

Santi


2013/4/22 Markus Metz <[hidden email]>
On Mon, Apr 22, 2013 at 10:59 AM, Santiago Timón <[hidden email]> wrote:
> Hi Markus,
>
> I have removed the default ubuntu gdal installation using synaptic.
>
> administrador@torrevision:~$ sudo ldconfig -v | grep gdal
> /home/administrador/gdal192:
> libgdalconstjni.so.1 -> libgdalconstjni.so
> libgdal.so.1 -> libgdal.so.1.16.2
> libgdaljni.so.1 -> libgdaljni.so
>
> The symlinks in gdal folder:
> administrador@torrevision:~/gdal192$ ls -lah | grep ^l
> lrwxrwxrwx  1 root          root            18 abr 19 11:30
> libgdalconstjni.so.1 -> libgdalconstjni.so
> lrwxrwxrwx  1 root          root            13 abr 19 11:30 libgdaljni.so.1
> -> libgdaljni.so
> lrwxrwxrwx  1 administrador administrador   17 abr  3 18:32 libgdal.so ->
> libgdal.so.1.16.2
> lrwxrwxrwx  1 administrador administrador   17 abr  3 18:32 libgdal.so.1 ->
> libgdal.so.1.16.2
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSCnet.so ->
> libNCSCnet.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSCnet.so.0
> -> libNCSCnet.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSEcwC.so ->
> libNCSEcwC.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSEcwC.so.0
> -> libNCSEcwC.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   18 abr  3 18:32 libNCSEcw.so ->
> libNCSEcw.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   18 abr  3 18:32 libNCSEcw.so.0
> -> libNCSEcw.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSUtil.so ->
> libNCSUtil.so.0.0.0
> lrwxrwxrwx  1 administrador administrador   19 abr  3 18:32 libNCSUtil.so.0
> -> libNCSUtil.so.0.0.0
> lrwxrwxrwx  1 root          root            12 abr 19 11:30 libogrjni.so.1
> -> libogrjni.so
> lrwxrwxrwx  1 root          root            12 abr 19 11:30 libosrjni.so.1
> -> libosrjni.so

That looks good
>
> But GRASS still looks for libgdal1.6.0.so.1

Did you
make distclean
configure <custom configure options>
make

for GRASS after removing the default ubuntu gdal installation?

Markus M

>
> </INFO>
>
> <ERROR timestamp="10:56:35">
> GDLA error while import. Unable to create input location from input
> /home/administrador/grass/temp/45ccd92d-daf2-4d80-abc3-a3e14bbc3f4f.tif GDAL
> log:
> /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal:
> error while loading shared libraries: libgdal1.6.0.so.1: cannot open shared
> object file: No such file or directory
>
> </ERROR>
>
> Thank you so much for your help,
> Santi
>
>
>
>
> 2013/4/22 Markus Metz <[hidden email]>
>>
>> On Sun, Apr 21, 2013 at 12:42 PM, stimon <[hidden email]> wrote:
>> >
>> > ... when I try to launch r.los (via WPS) I get a GDAL related error.
>> > From the log:
>> >
>> > <ERROR timestamp="11:50:28">
>> > GDLA error while import. Unable to create input location from input
>> > /home/administrador/grass/temp/ccb06c6f-74ba-4c6d-9d14-16b62b9b9067.tif
>> > GDAL
>> > log:
>> >
>> > /usr/local/grass7.0.svn-x86_64-unknown-linux-gnu-10_11_2012/bin/r.in.gdal:
>> > error while loading shared libraries: libgdal1.6.0.so.1: cannot open
>> > shared
>> > object file: No such file or directory
>> >
>> > </ERROR>
>> >
>> > I have installed GDAL 1.9.2 in ~/gdal192. the LD_LIBRARY_PATH is set:
>> > administrador@torrevision:~/gdal192$ echo $LD_LIBRARY_PATH
>> > /home/administrador/gdal192
>> >
>> >         libgdal.so.1 -> libgdal1.6.0.so.1
>> >         libgdal.so.1 -> libgdal.so.1.16.0
>>
>> There are two links called libgdal.so.1, For gdal 1.9.2 you would need
>> libgdal.so.1 -> libgdal.so.1.16.2, but you have libgdal.so.1 ->
>> libgdal.so.1.16.0 which refers to gdal 1.9.0. The first link,
>> libgdal.so.1 -> libgdal1.6.0.so.1 comes most probably from an older
>> gdal version that was probably installed system-wide and then only
>> partially removed. Quite a mess it seems. You could either completely
>> remove all traces of the old gdal installation or hack Platform.make
>> to force link to the installation in /home/administrador/gdal192 by
>> adjusting the gdal link flags.
>>
>> >
>> > Maybe the problem is "libgdal.so.1 -> libgdal1.6.0.so.1" because the
>> > second
>> > one it's not present while the first it is, So I also tried to set
>> > another
>> > symlink from libgdal1.6.0.so.1:
>> >
>> > libgdal1.6.0.so.1 -> libgdal.so.1
>>
>> But now you have
>> libgdal1.6.0.so.1 -> libgdal.so.1
>> and
>> libgdal.so.1 -> libgdal1.6.0.so.1
>>
>> a circularity.
>>
>> > -rwxr-xr-x 1 administrador administrador   112705 nov 22 18:10
>> > libgdalconstjni.so
>> > lrwxrwxrwx 1 root          root                18 abr 19 11:30
>> > libgdalconstjni.so.1 -> libgdalconstjni.so
>> > -rwxr-xr-x 1 administrador administrador  1312184 nov 22 18:10
>> > libgdaljni.so
>> > lrwxrwxrwx 1 root          root                13 abr 19 11:30
>> > libgdaljni.so.1 -> libgdaljni.so
>> > lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32
>> > libgdal.so ->
>> > libgdal.so.1.16.2
>> > lrwxrwxrwx 1 administrador administrador       17 abr  3 18:32
>> > libgdal.so.1
>> > -> libgdal.so.1.16.2
>> > -rwxr-xr-x 1 administrador administrador 44048076 nov 22 18:07
>> > libgdal.so.1.16.2
>> > -rwxr-xr-x 1 administrador administrador  5078163 nov 26 13:29
>> > libltidsdk.so
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSCnet.so
>> > -> libNCSCnet.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSCnet.so.0 -> libNCSCnet.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador   590457 nov 22 14:34
>> > libNCSCnet.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSEcwC.so
>> > -> libNCSEcwC.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSEcwC.so.0 -> libNCSEcwC.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador    81508 nov 22 14:34
>> > libNCSEcwC.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32
>> > libNCSEcw.so
>> > -> libNCSEcw.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       18 abr  3 18:32
>> > libNCSEcw.so.0 -> libNCSEcw.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador  8644546 nov 22 14:34
>> > libNCSEcw.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSUtil.so
>> > -> libNCSUtil.so.0.0.0
>> > lrwxrwxrwx 1 administrador administrador       19 abr  3 18:32
>> > libNCSUtil.so.0 -> libNCSUtil.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador   713782 nov 22 14:34
>> > libNCSUtil.so.0.0.0
>> > -rwxr-xr-x 1 administrador administrador   608641 nov 22 18:10
>> > libogrjni.so
>> > lrwxrwxrwx 1 root          root                12 abr 19 11:30
>> > libogrjni.so.1 -> libogrjni.so
>> > -rwxr-xr-x 1 administrador administrador   472066 nov 22 18:10
>> > libosrjni.so
>> > lrwxrwxrwx 1 root          root                12 abr 19 11:30
>> > libosrjni.so.1 -> libosrjni.so
>> >
>> > I don't know if I am making a mess, but I don't know what else I can do.
>> > I
>> > have been about 3 hours searching and reading about this lib problem
>> > without
>> > sorting it out.
>> >
>> > I have to say GDAL works fine, I installed it to work with AIG rasters
>> > in
>> > Geoserver before trying GRASS. However with GRASS I get this error.
>> >
>> > Thank very much for your help.
>> > Santi
>> >
>> >
>> >
>> > --
>> > View this message in context:
>> > http://osgeo-org.1560.x6.nabble.com/GDAL-libgdal1-6-0-so-1-error-REPOST-tp5048562.html
>> > Sent from the Grass - Users mailing list archive at Nabble.com.
>> > _______________________________________________
>> > grass-user mailing list
>> > [hidden email]
>> > http://lists.osgeo.org/mailman/listinfo/grass-user
>
>


_______________________________________________
grass-user mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-user